<?php
  class CsvCategory {
      private $cats;

      public function lineariseCategories($categories) {
         $this->_levelCategories($categories);
         
         return $this->_orderByParent($this->cats);
          
      }
      
      private function _levelCategories($categories) {
          if(isset($categories['infos'])) 
            $this->cats[]=$categories['infos'];
            
          elseif(is_array($categories)) {
              foreach($categories as $category) {
                  $this->_levelCategories($category);
              }
              
          }
          
      }
      
      private function _orderByParent($cats) {
         // Obtain a list of columns
foreach ($cats as $key => $row) {
    $parents[$key]  = $row['id_parent'];
    $ids[$key] = $row['id_category'];
}

// Sort the data with volume descending, edition ascending
// Add $data as the last parameter, to sort by the common key
    array_multisort($parents, SORT_ASC, $ids, SORT_ASC, $cats);
   return $cats;
      }
  }
?>
